/**
 * This file is a part of DesQ SNI.
 * DesQ SNI is a Widget to show SN Icons for DesQ Shell.
 * Copyright 2019-2022 Britanicus <marcusbritanicus@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * at your option, any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 **/

#pragma once

#include <QtWidgets>

#include <desqui/ShellPlugin.hpp>

class SNIPlugin : public QObject, DesQ::Plugin::Shell {
    Q_OBJECT

    Q_PLUGIN_METADATA( IID "org.DesQ.Shell.Plugin" )
    Q_INTERFACES( DesQ::Plugin::Shell )

    public:
        /* Name of the plugin */
        QString name();

        /* Icon for the plugin */
        QIcon icon();

        /* The plugin version */
        QString version();

        /* The Terminal Widget */
        QWidget *widget( QWidget * );
};
